#! /bin/sh
#
# $FreeBSD: ports/french/plgrenouille/files/plgrenouille.sh.in,v 1.1 2006/04/01 13:32:03 edwin Exp $
#
# PROVIDE: plgrenouille
# REQUIRE: DAEMON
#
# Add the following line to /etc/rc.conf to enable upclient:
#
# plgrenouille_enable="YES"
#

plgrenouille_enable=NO
plgrenouille_flags=-b

. /etc/rc.subr

name=plgrenouille
rcvar=$(set_rcvar)

command=/usr/local/libexec/${name}
command_interpreter=%%PERL%%
pidfile=/var/run/${name}.pid
logfile=/var/log/${name}.log
required_files=%%CONF_DIR%%/grenouillerc
extra_commands=configure
configure_cmd="${command} -c"

load_rc_config ${name}
run_rc_command "$1"
